-- migrate:up
CREATE TABLE orders_offline_detail (
    id INT AUTO_INCREMENT PRIMARY KEY,
    order_id INT NOT NULL,
    product_name VARCHAR(255) NOT NULL,
    type_box_id INT NOT NULL,
    box INT NOT NULL DEFAULT 1,
    quantity INT NOT NULL DEFAULT 1,
    price DECIMAL(10,2) NOT NULL,
    subtotal DECIMAL(10,2) NOT NULL,
    FOREIGN KEY (order_id) REFERENCES orders_offline(id) ON DELETE CASCADE
);

-- migrate:down
DROP TABLE IF EXISTS orders_offline_detail;
